package cn.com.qmth.stmms.common.enums;

public enum PaperType {
    BASE("不分", 0), A("A卷", 1), B("B卷", 2);

    private String name;

    private int value;

    private PaperType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static PaperType findByValue(int value) {
        PaperType level = null;
        for (PaperType s : PaperType.values()) {
            if (s.getValue() == value) {
                level = s;
                break;
            }
        }
        return level;
    }
}
